# NEDClassicImportResolver Class Reference
[Controlling the compilation process]

`#include <nedcompiler.h>`

Inheritance diagram for NEDClassicImportResolver:

List of all members.

## Detailed Description

Importresolver for NED-I; to be used with NEDCompiler.

A NEDClassicImportResolver instance can be reused when compiling several independent files in a row.

## Public Member Functions

| NEDClassicImportResolver ()
virtual | ~NEDClassicImportResolver ()
void | addImportPath (const char *dir)
virtual NEDElement * | loadImport (const char *import)

## Protected Attributes

NEDStringVector | importpath

## Constructor & Destructor Documentation

NEDClassicImportResolver::NEDClassicImportResolver | ( |  | ) | `[inline]`

| Constructor.

virtual NEDClassicImportResolver::~NEDClassicImportResolver | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

void NEDClassicImportResolver::addImportPath | ( | const char * | dir | ) |

| Add an import directory to the import path.

virtual NEDElement* NEDClassicImportResolver::loadImport | ( | const char * | import | ) | `[virtual]`

| Load the given NED file, located in the import path somewhere. Implements NEDImportResolver.

## Member Data Documentation

NEDStringVector NEDClassicImportResolver::importpath `[protected]`

The documentation for this class was generated from the following file:

- nedcompiler.h